package cn.iocoder.yudao.module.iot.service.devicewarinningrecord;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.iot.controller.admin.devicewarinningrecord.vo.*;
import cn.iocoder.yudao.module.iot.dal.dataobject.devicewarinningrecord.DeviceWarinningRecordDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 告警记录 Service 接口
 *
 * @author 必硕科技
 */
public interface DeviceWarinningRecordService {

    /**
     * 创建告警记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDeviceWarinningRecord(@Valid DeviceWarinningRecordSaveReqVO createReqVO);

    /**
     * 更新告警记录
     *
     * @param updateReqVO 更新信息
     */
    void updateDeviceWarinningRecord(@Valid DeviceWarinningRecordSaveReqVO updateReqVO);

    /**
     * 删除告警记录
     *
     * @param id 编号
     */
    void deleteDeviceWarinningRecord(Long id);

    /**
     * 获得告警记录
     *
     * @param id 编号
     * @return 告警记录
     */
    DeviceWarinningRecordDO getDeviceWarinningRecord(Long id);

    /**
     * 获得告警记录分页
     *
     * @param pageReqVO 分页查询
     * @return 告警记录分页
     */
    PageResult<DeviceWarinningRecordDO> getDeviceWarinningRecordPage(DeviceWarinningRecordPageReqVO pageReqVO);

    List<DeviceWarinningRecordDO> getList(Long id);

    List<Map<String, Object>> getLastSevenHoursCount();


}